Package Details: bareos-filedaemon-percona-xtrabackup-python-plugin 22.1.0-1

Git Clone URL: https://aur.archlinux.org/bareos.git (read-only, click to copy)
Package Base: bareos
Description: Bareos - Backup Archiving Recovery Open Sourced - XtraBackup plugin for Bareos File daemon
Upstream URL: http://www.bareos.org
Keywords: Backup bacula bareos
Licenses: AGPL3
Submitter: AlD
Maintainer: khvalera
Last Packager: khvalera
Votes: 23
Popularity: 0.23
First Submitted: 2014-07-23 09:45 (UTC)
Last Updated: 2023-07-13 09:40 (UTC)

Pinned Comments

Latest Comments

1 2 3 4 5 6 .. 17 Next › Last »

FabioLolix commented on 2023-07-12 09:04 (UTC)

For me build fine with makepkg (29 packages to update) and devtools (extra-x86_64-build, all updated)

For readibility please encapsulate text error with ``` at top and bottom and post in English (i.e. using LANG=C makepkg)

simona commented on 2023-07-12 08:46 (UTC)

make[2]: *** [core/src/plugins/filed/python/CMakeFiles/bareosfd-python2-module.dir/build.make:76: core/src/plugins/filed/python/CMakeFiles/bareosfd-python2-module.dir/module/bareosfd.cc.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:6298: core/src/plugins/filed/python/CMakeFiles/bareosfd-python2-module.dir/all] Error 2
make: *** [Makefile:166: all] Error 2
-> Failed to install layer, rolling up to next layer.error:error making: bareos - exit status 4

make[1]: *** [CMakeFiles/Makefile2:6298: core/src/plugins/filed/python/CMakeFiles/bareosfd-python2-module.dir/all] Error 2
make: *** [Makefile:166: all] Error 2
==> ERRORE: Si è verificato un errore in build().

FabioLolix commented on 2023-07-08 21:35 (UTC)

For getting the python version you can use something like _pyver=$(python -c "from sys import version_info; print(\"%d.%d\" % (version_info[0],version_info[1]))")

elelay commented on 2023-07-08 17:17 (UTC) (edited on 2023-07-08 17:17 (UTC) by elelay)

Hi, thanks for packaging bareos. I'm running juste the filedaemon on ArchLinux, but I noticed that during aur build it looks for python bindings in the wrong directory: it should be 3.11 now.

-python3_ver=3.10
+python3_ver=3.11

khvalera commented on 2023-05-08 22:35 (UTC)

The package has been updated but not tested yet. So check. @bsdice thanks!

hablitzel commented on 2023-05-08 20:30 (UTC)

@bsdice Thanks again for your help. It was the first that I changed a PKGBUILD file and patched source files. I've had some trouble with the patch you advised me to download. In my first attempts an error was thrown:

Applying patch 0007-gcc13.patch...                                                                                                                                                                  
can't find file to patch at input line 23                                                                                                                                                           
Perhaps you used the wrong -p or --strip option?

I manually removed the first directory in the patch file in order to make it work with the patch command (something like patch -p0... in the PKGBUILD. Maybe there is a more elegant way to do this but at least it worked for me.

bsdice commented on 2023-05-05 19:32 (UTC)

You upgraded to gcc-13 and that has broken a bunch of stuff.

For 21 you need https://github.com/bareos/bareos/commit/2bb7d74215bf6ae4f350de11bff04b68cf3c82b3.patch

Also in PKGBUILD build() .. -DCMAKE_CXX_FLAGS="-Wno-use-after-free" \ -DCMAKE_C_FLAGS="-Wno-use-after-free" \ because otherwise some test fails.

And you need

+#include <system_error> +

in core/src/stored/dev.cc.

hablitzel commented on 2023-05-05 13:46 (UTC)

I'm just trying to update the package and I get this compiling error:

❯ LC_ALL=C yay -S bareos-filedaemon                                                                                                                                                                                                                  
AUR Explicit (1): bareos-filedaemon-22.0.3-1                                                                                                                                                                                                
AUR Dependency (1): bareos-common-22.0.3-1     
....
[ 29%] Building CXX object core/src/lib/CMakeFiles/bareos.dir/thread_list.cc.o
/home/jens/.cache/yay/bareos/src/bareos/core/src/lib/thread_list.cc: In member function 'bool ThreadList::CreateAndAddNewThread(ConfigurationParser*, void*)':
/home/jens/.cache/yay/bareos/src/bareos/core/src/lib/thread_list.cc:227:35: error: expected unqualified-id before '&' token
  227 |   } catch (const std::system_error& e) {
      |                                   ^
/home/jens/.cache/yay/bareos/src/bareos/core/src/lib/thread_list.cc:227:35: error: expected ')' before '&' token
  227 |   } catch (const std::system_error& e) {
      |           ~                       ^
      |                                   )
/home/jens/.cache/yay/bareos/src/bareos/core/src/lib/thread_list.cc:227:35: error: expected '{' before '&' token
/home/jens/.cache/yay/bareos/src/bareos/core/src/lib/thread_list.cc:227:37: error: 'e' was not declared in this scope
  227 |   } catch (const std::system_error& e) {
      |                                     ^
make[2]: *** [core/src/lib/CMakeFiles/bareos.dir/build.make:986: core/src/lib/CMakeFiles/bareos.dir/thread_list.cc.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:3844: core/src/lib/CMakeFiles/bareos.dir/all] Error 2
make: *** [Makefile:166: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Has anyone an idea what goes wrong here?

FabioLolix commented on 2023-02-25 16:53 (UTC)

Hello, your though about dropping python2 from this pkgbuild?

fsyy commented on 2023-02-22 08:59 (UTC)

i am using bareos-fd and after compiling it it won't start.

Error:

bareos-fd: error while loading shared libraries: libbareos.so.22: cannot open shared object file: No such file or directory

I had to link every .so.22.0.1 file to .so.22 in /usr/lib/bareos

For example:

ln -s libbareos.so.22.0.1 libbareos.so.22